<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionLogSettings Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d1/d6c/a04478.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="#pri-static-attribs">Static Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionLogSettings Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Log settings class.  
 <a href="../../d1/d6c/a04478.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for ExpansionLogSettings:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d1/d6c/a04478.png" usemap="#ExpansionLogSettings_map" alt=""/>
  <map id="ExpansionLogSettings_map" name="ExpansionLogSettings_map">
<area href="../../dc/d50/a04474.html" alt="ExpansionSettingBase" shape="rect" coords="0,0,136,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a7155874674783c954e948e0f96e1c12d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d6c/a04478.html#a7155874674783c954e948e0f96e1c12d">ExpansionLogSettings</a> ()</td></tr>
<tr class="separator:a7155874674783c954e948e0f96e1c12d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec0cfed3eaf7ed6cbc5fcb061dcdf768"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d6c/a04478.html#aec0cfed3eaf7ed6cbc5fcb061dcdf768">OnRecieve</a> (ParamsReadContext ctx)</td></tr>
<tr class="separator:aec0cfed3eaf7ed6cbc5fcb061dcdf768"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a355a2627fc4056c0c4cee60bd77bec65"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d6c/a04478.html#a355a2627fc4056c0c4cee60bd77bec65">OnSend</a> (ParamsWriteContext ctx)</td></tr>
<tr class="separator:a355a2627fc4056c0c4cee60bd77bec65"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad61e9862a722012d6ad3d7d189024748"><td class="memItemLeft" align="right" valign="top">override int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d6c/a04478.html#ad61e9862a722012d6ad3d7d189024748">Send</a> (PlayerIdentity identity)</td></tr>
<tr class="separator:ad61e9862a722012d6ad3d7d189024748"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a426bad388941f37903a131562c9c2f6d"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d6c/a04478.html#a426bad388941f37903a131562c9c2f6d">Copy</a> (<a class="el" href="../../dc/d50/a04474.html">ExpansionSettingBase</a> setting)</td></tr>
<tr class="separator:a426bad388941f37903a131562c9c2f6d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c172df5cb8c8eb42a36b6a313037fa7"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d6c/a04478.html#a1c172df5cb8c8eb42a36b6a313037fa7">CopyInternal</a> (<a class="el" href="../../d1/d6c/a04478.html">ExpansionLogSettings</a> s)</td></tr>
<tr class="separator:a1c172df5cb8c8eb42a36b6a313037fa7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88f54971a255115eb2a7d0ea04267969"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d6c/a04478.html#a88f54971a255115eb2a7d0ea04267969">IsLoaded</a> ()</td></tr>
<tr class="separator:a88f54971a255115eb2a7d0ea04267969"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a66e43567def05df556ab5df043e0e33e"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d6c/a04478.html#a66e43567def05df556ab5df043e0e33e">Unload</a> ()</td></tr>
<tr class="separator:a66e43567def05df556ab5df043e0e33e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae0157c8a4d63dd20c34a3b3b06a28d7"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d6c/a04478.html#aae0157c8a4d63dd20c34a3b3b06a28d7">OnLoad</a> ()</td></tr>
<tr class="separator:aae0157c8a4d63dd20c34a3b3b06a28d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a065f481ad572b6560095955813cc88a4"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d6c/a04478.html#a065f481ad572b6560095955813cc88a4">OnSave</a> ()</td></tr>
<tr class="separator:a065f481ad572b6560095955813cc88a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79593a135871e0400ca1d34bcfd03696"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d6c/a04478.html#a79593a135871e0400ca1d34bcfd03696">Update</a> (<a class="el" href="../../dc/d50/a04474.html">ExpansionSettingBase</a> setting)</td></tr>
<tr class="separator:a79593a135871e0400ca1d34bcfd03696"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acaa9981f4248133a120e6a0fa7a8e0c3"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d6c/a04478.html#acaa9981f4248133a120e6a0fa7a8e0c3">Defaults</a> ()</td></tr>
<tr class="separator:acaa9981f4248133a120e6a0fa7a8e0c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4cb94a24003c6dc568a45b9bf218ec26"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d6c/a04478.html#a4cb94a24003c6dc568a45b9bf218ec26">SettingName</a> ()</td></tr>
<tr class="separator:a4cb94a24003c6dc568a45b9bf218ec26"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add340da6804cc9f46e54b1602451955a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d6c/a04478.html#add340da6804cc9f46e54b1602451955a">PrintLog</a> (<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> text)</td></tr>
<tr class="separator:add340da6804cc9f46e54b1602451955a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a36287cd5030dc5358ebc91771a71ff3b"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d6c/a04478.html#a36287cd5030dc5358ebc91771a71ff3b">Safezone</a></td></tr>
<tr class="separator:a36287cd5030dc5358ebc91771a71ff3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b37dabff266e1d05e11dc683710fe96"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d6c/a04478.html#a8b37dabff266e1d05e11dc683710fe96">AdminTools</a></td></tr>
<tr class="memdesc:a8b37dabff266e1d05e11dc683710fe96"><td class="mdescLeft">&#160;</td><td class="mdescRight">If enabled, generate logs when the player leave or enter a safezone.  <a href="../../d1/d6c/a04478.html#a8b37dabff266e1d05e11dc683710fe96">More...</a><br /></td></tr>
<tr class="separator:a8b37dabff266e1d05e11dc683710fe96"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a72cf2ece51a0b12249c9c73b09650fb6"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d6c/a04478.html#a72cf2ece51a0b12249c9c73b09650fb6">ExplosionDamageSystem</a></td></tr>
<tr class="memdesc:a72cf2ece51a0b12249c9c73b09650fb6"><td class="mdescLeft">&#160;</td><td class="mdescRight">If enabled, generate logs of the adminhammer and expansionadmincarkey when used.  <a href="../../d1/d6c/a04478.html#a72cf2ece51a0b12249c9c73b09650fb6">More...</a><br /></td></tr>
<tr class="separator:a72cf2ece51a0b12249c9c73b09650fb6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aecc3d85acf4048636891860892ae2d98"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d6c/a04478.html#aecc3d85acf4048636891860892ae2d98">LogToScripts</a></td></tr>
<tr class="memdesc:aecc3d85acf4048636891860892ae2d98"><td class="mdescLeft">&#160;</td><td class="mdescRight">If enabled, generate logs of the Expansion explosion damage system when used.  <a href="../../d1/d6c/a04478.html#aecc3d85acf4048636891860892ae2d98">More...</a><br /></td></tr>
<tr class="separator:aecc3d85acf4048636891860892ae2d98"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47c831c4495919e516ce7bf6f20b4321"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d6c/a04478.html#a47c831c4495919e516ce7bf6f20b4321">LogToADM</a></td></tr>
<tr class="separator:a47c831c4495919e516ce7bf6f20b4321"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afbe1765a260a04fcb9c43dc7531a4537"><td class="memItemLeft" align="right" valign="top">private <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d6c/a04478.html#afbe1765a260a04fcb9c43dc7531a4537">m_FileTimestamp</a></td></tr>
<tr class="separator:afbe1765a260a04fcb9c43dc7531a4537"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48f54497a074cc4f39c1be563ed9855f"><td class="memItemLeft" align="right" valign="top">private FileHandle&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d6c/a04478.html#a48f54497a074cc4f39c1be563ed9855f">m_FileLog</a></td></tr>
<tr class="separator:a48f54497a074cc4f39c1be563ed9855f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b5e4d82717ff1ed73e09f59456f9193"><td class="memItemLeft" align="right" valign="top">private bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d6c/a04478.html#a5b5e4d82717ff1ed73e09f59456f9193">m_IsLoaded</a></td></tr>
<tr class="separator:a5b5e4d82717ff1ed73e09f59456f9193"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-attribs" name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr class="memitem:a04a04ccaadaf3895b4854d5c924fd626"><td class="memItemLeft" align="right" valign="top">static const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d6c/a04478.html#a04a04ccaadaf3895b4854d5c924fd626">VERSION</a> = 6</td></tr>
<tr class="separator:a04a04ccaadaf3895b4854d5c924fd626"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Log settings class. </p>
<p ><a class="el" href="../../d7/d12/a00911.html">ExpansionLogSettings.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../d7/d12/a00911_source.html#l00016">16</a> of file <a class="el" href="../../d7/d12/a00911_source.html">expansionlogsettings.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a7155874674783c954e948e0f96e1c12d" name="a7155874674783c954e948e0f96e1c12d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7155874674783c954e948e0f96e1c12d">&#9670;&#160;</a></span>ExpansionLogSettings()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionLogSettings::ExpansionLogSettings </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d12/a00911_source.html#l00091">91</a> of file <a class="el" href="../../d7/d12/a00911_source.html">expansionlogsettings.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a426bad388941f37903a131562c9c2f6d" name="a426bad388941f37903a131562c9c2f6d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a426bad388941f37903a131562c9c2f6d">&#9670;&#160;</a></span>Copy()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionLogSettings::Copy </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../dc/d50/a04474.html">ExpansionSettingBase</a>&#160;</td>
          <td class="paramname"><em>setting</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d12/a00911_source.html#l00135">135</a> of file <a class="el" href="../../d7/d12/a00911_source.html">expansionlogsettings.c</a>.</p>

</div>
</div>
<a id="a1c172df5cb8c8eb42a36b6a313037fa7" name="a1c172df5cb8c8eb42a36b6a313037fa7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1c172df5cb8c8eb42a36b6a313037fa7">&#9670;&#160;</a></span>CopyInternal()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private void ExpansionLogSettings::CopyInternal </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d1/d6c/a04478.html">ExpansionLogSettings</a>&#160;</td>
          <td class="paramname"><em>s</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d12/a00911_source.html#l00146">146</a> of file <a class="el" href="../../d7/d12/a00911_source.html">expansionlogsettings.c</a>.</p>

</div>
</div>
<a id="acaa9981f4248133a120e6a0fa7a8e0c3" name="acaa9981f4248133a120e6a0fa7a8e0c3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acaa9981f4248133a120e6a0fa7a8e0c3">&#9670;&#160;</a></span>Defaults()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionLogSettings::Defaults </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d12/a00911_source.html#l00331">331</a> of file <a class="el" href="../../d7/d12/a00911_source.html">expansionlogsettings.c</a>.</p>

</div>
</div>
<a id="a88f54971a255115eb2a7d0ea04267969" name="a88f54971a255115eb2a7d0ea04267969"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a88f54971a255115eb2a7d0ea04267969">&#9670;&#160;</a></span>IsLoaded()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionLogSettings::IsLoaded </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d12/a00911_source.html#l00216">216</a> of file <a class="el" href="../../d7/d12/a00911_source.html">expansionlogsettings.c</a>.</p>

</div>
</div>
<a id="aae0157c8a4d63dd20c34a3b3b06a28d7" name="aae0157c8a4d63dd20c34a3b3b06a28d7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aae0157c8a4d63dd20c34a3b3b06a28d7">&#9670;&#160;</a></span>OnLoad()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionLogSettings::OnLoad </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >New with v2</p>

<p class="definition">Definition at line <a class="el" href="../../d7/d12/a00911_source.html#l00228">228</a> of file <a class="el" href="../../d7/d12/a00911_source.html">expansionlogsettings.c</a>.</p>

</div>
</div>
<a id="aec0cfed3eaf7ed6cbc5fcb061dcdf768" name="aec0cfed3eaf7ed6cbc5fcb061dcdf768"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aec0cfed3eaf7ed6cbc5fcb061dcdf768">&#9670;&#160;</a></span>OnRecieve()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionLogSettings::OnRecieve </td>
          <td>(</td>
          <td class="paramtype">ParamsReadContext&#160;</td>
          <td class="paramname"><em>ctx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d12/a00911_source.html#l00096">96</a> of file <a class="el" href="../../d7/d12/a00911_source.html">expansionlogsettings.c</a>.</p>

</div>
</div>
<a id="a065f481ad572b6560095955813cc88a4" name="a065f481ad572b6560095955813cc88a4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a065f481ad572b6560095955813cc88a4">&#9670;&#160;</a></span>OnSave()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionLogSettings::OnSave </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d12/a00911_source.html#l00313">313</a> of file <a class="el" href="../../d7/d12/a00911_source.html">expansionlogsettings.c</a>.</p>

</div>
</div>
<a id="a355a2627fc4056c0c4cee60bd77bec65" name="a355a2627fc4056c0c4cee60bd77bec65"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a355a2627fc4056c0c4cee60bd77bec65">&#9670;&#160;</a></span>OnSend()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionLogSettings::OnSend </td>
          <td>(</td>
          <td class="paramtype">ParamsWriteContext&#160;</td>
          <td class="paramname"><em>ctx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d12/a00911_source.html#l00121">121</a> of file <a class="el" href="../../d7/d12/a00911_source.html">expansionlogsettings.c</a>.</p>

</div>
</div>
<a id="add340da6804cc9f46e54b1602451955a" name="add340da6804cc9f46e54b1602451955a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#add340da6804cc9f46e54b1602451955a">&#9670;&#160;</a></span>PrintLog()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionLogSettings::PrintLog </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>text</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d12/a00911_source.html#l00402">402</a> of file <a class="el" href="../../d7/d12/a00911_source.html">expansionlogsettings.c</a>.</p>

</div>
</div>
<a id="ad61e9862a722012d6ad3d7d189024748" name="ad61e9862a722012d6ad3d7d189024748"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad61e9862a722012d6ad3d7d189024748">&#9670;&#160;</a></span>Send()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override int ExpansionLogSettings::Send </td>
          <td>(</td>
          <td class="paramtype">PlayerIdentity&#160;</td>
          <td class="paramname"><em>identity</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d12/a00911_source.html#l00129">129</a> of file <a class="el" href="../../d7/d12/a00911_source.html">expansionlogsettings.c</a>.</p>

</div>
</div>
<a id="a4cb94a24003c6dc568a45b9bf218ec26" name="a4cb94a24003c6dc568a45b9bf218ec26"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4cb94a24003c6dc568a45b9bf218ec26">&#9670;&#160;</a></span>SettingName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionLogSettings::SettingName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d12/a00911_source.html#l00397">397</a> of file <a class="el" href="../../d7/d12/a00911_source.html">expansionlogsettings.c</a>.</p>

</div>
</div>
<a id="a66e43567def05df556ab5df043e0e33e" name="a66e43567def05df556ab5df043e0e33e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a66e43567def05df556ab5df043e0e33e">&#9670;&#160;</a></span>Unload()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionLogSettings::Unload </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d12/a00911_source.html#l00222">222</a> of file <a class="el" href="../../d7/d12/a00911_source.html">expansionlogsettings.c</a>.</p>

</div>
</div>
<a id="a79593a135871e0400ca1d34bcfd03696" name="a79593a135871e0400ca1d34bcfd03696"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a79593a135871e0400ca1d34bcfd03696">&#9670;&#160;</a></span>Update()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionLogSettings::Update </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../dc/d50/a04474.html">ExpansionSettingBase</a>&#160;</td>
          <td class="paramname"><em>setting</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d12/a00911_source.html#l00323">323</a> of file <a class="el" href="../../d7/d12/a00911_source.html">expansionlogsettings.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a8b37dabff266e1d05e11dc683710fe96" name="a8b37dabff266e1d05e11dc683710fe96"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8b37dabff266e1d05e11dc683710fe96">&#9670;&#160;</a></span>AdminTools</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionLogSettings::AdminTools</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>If enabled, generate logs when the player leave or enter a safezone. </p>

<p class="definition">Definition at line <a class="el" href="../../d7/d12/a00911_source.html#l00021">21</a> of file <a class="el" href="../../d7/d12/a00911_source.html">expansionlogsettings.c</a>.</p>

</div>
</div>
<a id="a72cf2ece51a0b12249c9c73b09650fb6" name="a72cf2ece51a0b12249c9c73b09650fb6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a72cf2ece51a0b12249c9c73b09650fb6">&#9670;&#160;</a></span>ExplosionDamageSystem</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionLogSettings::ExplosionDamageSystem</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>If enabled, generate logs of the adminhammer and expansionadmincarkey when used. </p>

<p class="definition">Definition at line <a class="el" href="../../d7/d12/a00911_source.html#l00022">22</a> of file <a class="el" href="../../d7/d12/a00911_source.html">expansionlogsettings.c</a>.</p>

</div>
</div>
<a id="a47c831c4495919e516ce7bf6f20b4321" name="a47c831c4495919e516ce7bf6f20b4321"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a47c831c4495919e516ce7bf6f20b4321">&#9670;&#160;</a></span>LogToADM</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionLogSettings::LogToADM</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d12/a00911_source.html#l00075">75</a> of file <a class="el" href="../../d7/d12/a00911_source.html">expansionlogsettings.c</a>.</p>

</div>
</div>
<a id="aecc3d85acf4048636891860892ae2d98" name="aecc3d85acf4048636891860892ae2d98"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aecc3d85acf4048636891860892ae2d98">&#9670;&#160;</a></span>LogToScripts</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionLogSettings::LogToScripts</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>If enabled, generate logs of the Expansion explosion damage system when used. </p>

<p class="definition">Definition at line <a class="el" href="../../d7/d12/a00911_source.html#l00074">74</a> of file <a class="el" href="../../d7/d12/a00911_source.html">expansionlogsettings.c</a>.</p>

</div>
</div>
<a id="a48f54497a074cc4f39c1be563ed9855f" name="a48f54497a074cc4f39c1be563ed9855f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a48f54497a074cc4f39c1be563ed9855f">&#9670;&#160;</a></span>m_FileLog</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private FileHandle ExpansionLogSettings::m_FileLog</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d12/a00911_source.html#l00085">85</a> of file <a class="el" href="../../d7/d12/a00911_source.html">expansionlogsettings.c</a>.</p>

</div>
</div>
<a id="afbe1765a260a04fcb9c43dc7531a4537" name="afbe1765a260a04fcb9c43dc7531a4537"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afbe1765a260a04fcb9c43dc7531a4537">&#9670;&#160;</a></span>m_FileTimestamp</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionLogSettings::m_FileTimestamp</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d12/a00911_source.html#l00082">82</a> of file <a class="el" href="../../d7/d12/a00911_source.html">expansionlogsettings.c</a>.</p>

</div>
</div>
<a id="a5b5e4d82717ff1ed73e09f59456f9193" name="a5b5e4d82717ff1ed73e09f59456f9193"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5b5e4d82717ff1ed73e09f59456f9193">&#9670;&#160;</a></span>m_IsLoaded</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private bool ExpansionLogSettings::m_IsLoaded</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d12/a00911_source.html#l00088">88</a> of file <a class="el" href="../../d7/d12/a00911_source.html">expansionlogsettings.c</a>.</p>

</div>
</div>
<a id="a36287cd5030dc5358ebc91771a71ff3b" name="a36287cd5030dc5358ebc91771a71ff3b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a36287cd5030dc5358ebc91771a71ff3b">&#9670;&#160;</a></span>Safezone</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionLogSettings::Safezone</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d12/a00911_source.html#l00020">20</a> of file <a class="el" href="../../d7/d12/a00911_source.html">expansionlogsettings.c</a>.</p>

</div>
</div>
<a id="a04a04ccaadaf3895b4854d5c924fd626" name="a04a04ccaadaf3895b4854d5c924fd626"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a04a04ccaadaf3895b4854d5c924fd626">&#9670;&#160;</a></span>VERSION</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const int ExpansionLogSettings::VERSION = 6</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d12/a00911_source.html#l00018">18</a> of file <a class="el" href="../../d7/d12/a00911_source.html">expansionlogsettings.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Core/Scripts/3_game/dayzexpansion_core/settings/logging/<a class="el" href="../../d7/d12/a00911_source.html">expansionlogsettings.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d1/d6c/a04478.html">ExpansionLogSettings</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
